version: 1

containers:
  main:
    image: lnbits/lnbits:v1.0.0-rc6
    working_dir: /app
    environment:
      LNBITS_DEFAULT_WALLET_NAME: LNbits wallet
      LNBITS_DISABLED_EXTENSIONS: amilk
      LNBITS_ADMIN_EXTENSIONS: ngrok,admin
      LNBITS_ADMIN_UI: "true"
      LNBITS_DATA_FOLDER: /data
      LNBITS_SITE_TITLE: LNbits
      FORWARDED_ALLOW_IPS: "*"
      LNBITS_BACKEND_WALLET_CLASS: LndWallet
      LND_GRPC_ENDPOINT: main.lnd.{{user}}.nirvati
      LND_GRPC_PORT: 10009
      LND_GRPC_CERT: /data/lnd/tls.cert
      LND_GRPC_MACAROON: {{ plugins.lnd.auth.macaroons.admin }}
      HOST: "0.0.0.0"
    ingress_port: 5000
    mounts:
      data:
        # TODO: Use secret mounts for LND data
        data: /data
        upgrades/data: /app/lnbits/upgrades
        extensions/data: /app/lnbits/extensions
